<template>
  <ObModal
    ref="modal"
    size="medium"
    title="Подписать договор?"
    :is-show-controls="true"
    ok-text="Подписать"
    data-qa="signContract"
    @submit="$emit('on-submit')"
  >
    <p>Вы собираетесь подписать договор с {{ participant }}.<br>После подписания договора внесение изменений в него запрещено.</p>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'

export default {
  name: 'SignContractModal',
  props: {
    participant: {
      type: String,
      default: ''
    }
  },
  components: {
    ObModal
  },
  methods: {
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  }
}
</script>
